<?php

namespace Drupal\Tests\browscap\Functional;

use Drupal\browscap\BrowscapEndpoint;

/**
 * Mock Browscap endpoint.
 *
 * Defines methods for simulating communication with Browscap project website
 * using local information.
 */
class MockBrowscapEndpoint extends BrowscapEndpoint {

  /**
   * Gets version of latest Browscap data.
   *
   * @return int|string
   *   The latest Browscap data version.
   */
  public function getVersion() {
    // Check the local browscap data version number.
    $config = \Drupal::config('browscap.settings');

    $local_version = $config->get('version');
    return $local_version . '1';
  }

  /**
   * Gets latest Browscap data.
   *
   * @param bool $cron
   *   Whether this method is being invoked by cron.
   *
   * @return int|string
   *   The Browscap data.
   */
  public function getBrowscapData($cron = TRUE) {
    $ini_path = \Drupal::service('extension.list.module')->getPath('browscap') . '/tests/src/Functional/test_browscap_data.ini';
    return file_get_contents($ini_path);
  }

}
